#! /usr/bin/env node

var randomstring = require("randomstring");
var clipboardy = require('clipboardy');
var isDarwin = /^darwin/.test(process.platform);

// Get Command Line Arguments
function processArgv() {
  if (process.argv[2] === undefined) {
    console.log("Not enough arguments");
    process.exit(1);
  }
  return process.argv[2];
}


// Clipboardy has some issues under OSX
// Use this instead of Clipboardy
function pbcopy(data) {
    var proc = require('child_process').spawn('pbcopy'); 
    proc.stdin.write(data); proc.stdin.end();
}

function generate(charCount) {
  output = randomstring.generate({
      length: charCount,
      charset: 'alphabetic'
  });

  if (isDarwin) {
    pbcopy(output)
  }
  else {
    clipboardy.writeSync(output);
  }
  console.log(`${wordCount} characters copied to clipboard.. '`)
}


function wrapper() {
  wordCount = processArgv();
  generate(wordCount);
}

wrapper();


